> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/game/application-build-telemetry-1.md).

# Application Build Telemetry

All application build telemetry endpoints

## GET /v3/telemetry/applicationBuild/{applicationBuildId}/current

> Get all your application build telemetry

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuildTelemetry","description":"All application build telemetry endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildTelemetryModel":{"type":"object","required":["hosts","instances","players"],"properties":{"hosts":{"type":"integer","format":"integer","description":"The number of hosts"},"instances":{"type":"integer","format":"integer","description":"The number of instances"},"players":{"type":"integer","format":"integer","description":"The number of players"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationBuild/{applicationBuildId}/current":{"get":{"tags":["ApplicationBuildTelemetry"],"summary":"Get all your application build telemetry","operationId":"getTelemetryApplicationBuildCurrents","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildTelemetryModel"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/applicationBuild/{applicationBuildId}

> Get all your application build telemetry history

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationBuildTelemetry","description":"All application build telemetry endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ApplicationBuildTelemetryHistoryModel":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency,  possible interval options are as follows\n- minute\n- hour\n- day\n- month","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildTelemetryHistoryDataModel"},"description":"Average aggregated data of application instances","readOnly":true}},"additionalProperties":false},"ApplicationBuildTelemetryHistoryDataModel":{"type":"object","required":["timestamp","hosts","instances","players"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"Unix timestamp of data","readOnly":true},"hosts":{"type":"integer","format":"integer","description":"The number of hosts"},"instances":{"type":"integer","format":"integer","description":"The number of instances"},"players":{"type":"integer","format":"integer","description":"The number of players"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/applicationBuild/{applicationBuildId}":{"get":{"tags":["ApplicationBuildTelemetry"],"summary":"Get all your application build telemetry history","operationId":"getTelemetryApplicationBuild","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationBuildTelemetryHistoryModel"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid applicationBuildId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/game/application-build-telemetry-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
